#pragma once

#include "db/ApplicationInfo.h"

class ApplicationDAO {
public:
    [[nodiscard]] static bool upsertApplication(const ApplicationInfo &info);

    [[nodiscard]] static bool updatePinCode(const QString &appId, const QString &pinCode);

    [[nodiscard]] static ApplicationInfo getApplicationsByDeviceId(const QString &deviceId,  const QString &appName);
};
